Subject: bug#16722: 24.3.50; `M-x man' does not handle case appropriately

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Feb 2014 22:54:51 +0200

> From: Wolfgang Jenkner <[email-masked]>
> Date: Sat, 15 Feb 2014 18:17:08 +0100
> Cc: [email-masked]
> 
> It seems (http://cygwin.com/packages/) that man-1.* is the man package
> provided by default in cygwin, but I suppose cygwin packages could also
> be used with a non-cygwin emacs?  Would it be reasonable to set the
> default for `Man-man-k-use-anchor' to non-nil if the system type is
> `cygwin' or `windows-nt' or `ms-dos'?

It is much better, IMO, to probe for "man -k" support the first time
"M-x man" is invoked, like we do with "M-x grep".  Relying on
system-type should only be a very distant second candidate (e.g., what
if Windows machines will get a proper 'man' command that does supports
apropos databases?).